MN to MN replication needs to be tested

2011-10-10 21:04 - Chris Jones

Status: Closed Start date: 2011-10-10

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2011.46-Block.6   

Story Points:    

Description

The two components handling the CN Replication functionality are 1) Metacat's CNodeService which fields API calls and 2)

d1_replication's ReplicationManager that manages and initiates replication tasks based on changes in system metadata status on the

CN along with regular audits of replicas.

The end-to-end functionality needs to be tested where two registered MNs implement the CNReplication API, objects are created on

one of the MNs with replication enabled in the ReplicationPolicy, and the CN initiates the replication.

Subtasks:

Task # 1844: Create a CNReplication integration test Closed

Task # 1845: Manually test MN to MN replication Closed

History

#1 - 2011-10-10 21:27 - Chris Jones

- Status changed from New to In Progress

#2 - 2011-10-25 16:36 - Chris Jones

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6

- Position set to 24

#3 - 2011-10-31 17:20 - Dave Vieglais

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

- Position set to 17

- Position deleted (36)

#4 - 2011-11-07 18:04 - Dave Vieglais

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position deleted (24)

- Position set to 1

- Position changed from 1 to 306

#5 - 2011-11-15 03:29 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position set to 1

- Position deleted (310)

#6 - 2011-11-22 17:43 - Chris Jones

- Status changed from In Progress to Closed
